
"""
Test file for main.py
Version 0.1

Call this file, just use command `python test_main.py`
if need to run command, to call main.py directly, can update test_main.py parameters and run
"""


import json
import sys
from main import main_func

# Initial parameters here
URL = "https://www.yiketianqi.com/free/day?appid=97467475&appsecret=gVimqiy5&unescape=1"
httpCommand = "GET"
sendData = ""
timeout = 10

# Compose args_json here
args_json = {
    "URL": json.dumps(URL),
    "httpCommand": json.dumps(httpCommand),
    "sendData": json.dumps(sendData),
    "timeout": json.dumps(timeout)
}

sys.argv.append(json.dumps(args_json))
main_func()
